FinalizeUploadError
Defined in: packages/synapse-core/src/errors/pdp.ts:74
Finalizing a streaming upload (POST /pdp/piece/uploads/{uuid}) failed.
Unlike a failure to create the upload session, the bytes were already sent to the provider, so the problem is the PieceCID or how the provider processed the upload. Extends PostPieceError, which streaming uploads threw for this step before.
Extends
Section titled “Extends”Constructors
Section titled “Constructors”Constructor
Section titled “Constructor”new FinalizeUploadError(
error,options?):FinalizeUploadError
Defined in: packages/synapse-core/src/errors/pdp.ts:57
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
error |
string |
options? |
ProviderErrorOptions |
Returns
Section titled “Returns”FinalizeUploadError
Inherited from
Section titled “Inherited from”Properties
Section titled “Properties”[symbol]
Section titled “[symbol]”[symbol]:
boolean=true
Defined in: packages/synapse-core/src/errors/provider.ts:21
Inherited from
Section titled “Inherited from”[symbol]
Section titled “[symbol]”[symbol]:
boolean=true
Defined in: packages/synapse-core/src/errors/base.ts:19
Inherited from
Section titled “Inherited from”PostPieceError.[symbol]
cause?
Section titled “cause?”
optionalcause?:Error
Defined in: packages/synapse-core/src/errors/base.ts:22
Inherited from
Section titled “Inherited from”details?
Section titled “details?”
optionaldetails?:string
Defined in: packages/synapse-core/src/errors/base.ts:23
Inherited from
Section titled “Inherited from”message
Section titled “message”message:
string
Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.es5.d.ts:1075
Inherited from
Section titled “Inherited from”name:
"FinalizeUploadError"='FinalizeUploadError'
Defined in: packages/synapse-core/src/errors/pdp.ts:75
Overrides
Section titled “Overrides”notFound
Section titled “notFound”notFound:
boolean
Defined in: packages/synapse-core/src/errors/provider.ts:27
true when the service provider answered 404.
Inherited from
Section titled “Inherited from”shortMessage
Section titled “shortMessage”shortMessage:
string
Defined in: packages/synapse-core/src/errors/base.ts:24
Inherited from
Section titled “Inherited from”stack?
Section titled “stack?”
optionalstack?:string
Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.es5.d.ts:1076
Inherited from
Section titled “Inherited from”status?
Section titled “status?”
optionalstatus?:number
Defined in: packages/synapse-core/src/errors/provider.ts:25
The HTTP status the service provider answered with. undefined when the failure was not an HTTP response.
Inherited from
Section titled “Inherited from”stackTraceLimit
Section titled “stackTraceLimit”
staticstackTraceLimit:number
Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:67
The Error.stackTraceLimit property specifies the number of stack frames
collected by a stack trace (whether generated by new Error().stack or
Error.captureStackTrace(obj)).
The default value is 10 but may be set to any valid JavaScript number. Changes
will affect any stack trace captured after the value has been changed.
If set to a non-number value, or set to a negative number, stack traces will not capture any frames.
Inherited from
Section titled “Inherited from”PostPieceError.stackTraceLimit
summary
Section titled “summary”
protectedstaticsummary:string='Failed to finalize upload.'
Defined in: packages/synapse-core/src/errors/pdp.ts:76
The short message, overridden by subclasses for the step that failed.
Overrides
Section titled “Overrides”Methods
Section titled “Methods”toJSON()
Section titled “toJSON()”toJSON():
Record<string,unknown>
Defined in: packages/synapse-core/src/errors/provider.ts:43
Returns
Section titled “Returns”Record<string, unknown>
Inherited from
Section titled “Inherited from”captureStackTrace()
Section titled “captureStackTrace()”
staticcaptureStackTrace(targetObject,constructorOpt?):void
Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:51
Creates a .stack property on targetObject, which when accessed returns
a string representing the location in the code at which
Error.captureStackTrace() was called.
const myObject = {};
Error.captureStackTrace(myObject);
myObject.stack; // Similar to `new Error().stack`The first line of the trace will be prefixed with
${myObject.name}: ${myObject.message}.
The optional constructorOpt argument accepts a function. If given, all frames
above constructorOpt, including constructorOpt, will be omitted from the
generated stack trace.
The constructorOpt argument is useful for hiding implementation
details of error generation from the user. For instance:
function a() {
b();
}
function b() {
c();
}
function c() {
// Create an error without stack trace to avoid calculating the stack trace twice.
const { stackTraceLimit } = Error;
Error.stackTraceLimit = 0;
const error = new Error();
Error.stackTraceLimit = stackTraceLimit;
// Capture the stack trace above function b
Error.captureStackTrace(error, b); // Neither function c, nor b is included in the stack trace
throw error;
}
a();Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
targetObject |
object |
constructorOpt? |
Function |
Returns
Section titled “Returns”void
Inherited from
Section titled “Inherited from”PostPieceError.captureStackTrace
fromHttpError()
Section titled “fromHttpError()”
staticfromHttpError<T>(this,error):Promise<T>
Defined in: packages/synapse-core/src/errors/provider.ts:60
Build the error from an HttpError, keeping the response status and the HttpError as cause.
The response body becomes details, or HTTP <status> when the body is empty.
Type Parameters
Section titled “Type Parameters”| Type Parameter |
|---|
T |
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
this |
new (error, options) => T |
error |
HttpError |
Returns
Section titled “Returns”Promise<T>
Example
Section titled “Example”throw await PullError.fromHttpError(response.error)Inherited from
Section titled “Inherited from”
staticis(value):value is FinalizeUploadError
Defined in: packages/synapse-core/src/errors/pdp.ts:78
Check if a value is a PostPieceError, including a FinalizeUploadError.
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
value |
unknown |
Returns
Section titled “Returns”value is FinalizeUploadError
Overrides
Section titled “Overrides”isError()
Section titled “isError()”
staticisError(error):error is Error
Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.esnext.error.d.ts:21
Indicates whether the argument provided is a built-in Error instance or not.
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
error |
unknown |
Returns
Section titled “Returns”error is Error
Inherited from
Section titled “Inherited from”prepareStackTrace()
Section titled “prepareStackTrace()”
staticprepareStackTrace(err,stackTraces):any
Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:55
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
err |
Error |
stackTraces |
CallSite[] |
Returns
Section titled “Returns”any
https://v8.dev/docs/stack-trace-api#customizing-stack-traces